DROP TABLE L1PAGE_SHIFTER_INFORMATION;

CREATE TABLE L1PAGE_SHIFTER_INFORMATION (
  id         NUMBER(10) PRIMARY KEY,
  timestamp  DATE DEFAULT SYS_EXTRACT_UTC(SYSTIMESTAMP) NOT NULL,
  days_valid NUMBER(3),
  author     VARCHAR2(50) NOT NULL,
  type       VARCHAR2(50) NOT NULL,
  section    VARCHAR2(50) NOT NULL,
  message    CLOB NOT NULL
) STORAGE ( INITIAL 2K);

CREATE SEQUENCE L1PAGE_SHIFTER_INFORMATION_SEQ;

CREATE OR REPLACE TRIGGER L1PAGE_SHIFTER_INFO_INCR
  BEFORE INSERT ON CMS_TRG_L1_CONF.L1PAGE_SHIFTER_INFORMATION
  FOR EACH ROW
  BEGIN
  :new.ID := L1PAGE_SHIFTER_INFORMATION_SEQ.nextval;
  END;
  /

ALTER TRIGGER L1PAGE_SHIFTER_INFO_INCR ENABLE;

grant select on L1PAGE_SHIFTER_INFORMATION to CMS_TRG_R;
grant insert on L1PAGE_SHIFTER_INFORMATION to CMS_TRG_R;
grant update on L1PAGE_SHIFTER_INFORMATION to CMS_TRG_R;
grant delete on L1PAGE_SHIFTER_INFORMATION to CMS_TRG_R;

commit;
